Similar to define(), but allows defining in class definitions as well

- « runkit7 Functions

- runkit7_constant_redefine »

- PHP Manual
- runkit7 Functions
- Similar to define(), but allows defining in class definitions as well

# runkit7_constant_add

(PECL runkit7 >= Unknown)

runkit7_constant_add — Similar to define(), but allows defining in class definitions as well

### Description

runkit7_constant_add(string `$constant_name`, mixed `$value`, int `$newVisibility` = ?): bool

### Parameters

`constant_name`

  Name of constant to declare. Either a string to indicate a global constant, or `classname::constname` to indicate a class constant.

`value`

  NULL, Bool, Long, Double, String, Array, or Resource value to store in the new constant.

`newVisibility`

  Visibility of the constant, for class constants. Public by default. One of the `RUNKIT7_ACC_*` constants.

### Return Values

Returns `true` on success or `false` on failure.

### See Also

- define() - Defines a named constant
- runkit7_constant_redefine() - Redefine an already defined constant
- runkit7_constant_remove() - Remove/Delete an already defined constant